<?php

    //************************************************
    // Environment setting for client: Banc Sabadell
    //************************************************

	return array (
            '*' => array (
				'activity' => array (
					'*' => array (
						'environment' => array (
							'*' => array (
								'temp_dsn_alloc_site' => 'cy pri=15 sec=30 di=500',   // JCL handover: for temp files of  
								'temp_dsn_alloc_site_ps' => 'space=10,10 cy',
								'template' => array (                                 // JCL handover: default templates and SKELS, but mainly set in process/activity config below  
									'jck_job_new'              => 'BSJCHKN',
									'jck_job_change'           => 'BSJCHKC',
									'jck_job_init'             => 'BSJCHKI',
									'jck_job_editchk1'         => 'BSJEDT',
									'jck_job_approve'          => 'BSJEDTA',
									'jck_job_ref'              => 'BSJREF',
									'jck_job_ref_dev'          => 'BSJREFD',
									'jck_job_ref_test'         => 'BSJREFT',
									'jck_job_ref_prod'         => 'BSJREFP',
									'jck_job_final'            => 'BSJEDTF',
									'jck_job_fast'             => 'BSJEDTF',
									'jck_proc_new'             => 'DBPCHKN',    
									'jck_proc_change'          => 'DBPCHKC',    
									'jck_proc_init'            => 'DBPCHKI',    
									'jck_proc_approve'         => 'DBPEDTA',
									'jck_proc_ref_dev'         => 'DBPREFD',
									'jck_proc_ref_test'        => 'DBPREFT',
									'jck_proc_ref_prod'        => 'DBPREFP',
									'jck_proc_final'           => 'DBPEDTF',
									'change_by_parm_jobname1'  => 'BSJPAR1',    
									'change_by_parm_jobname2'  => 'BSJPAR2',    
									'dsn_filter'               => 'BSJDSNF',
									'dsn_parm'                 => 'BSJDSNP',
									'dsn_gtyp'                 => 'BSJGTYP',
									'copy'                     => 'BSJCPY',
									'delete'                   => 'BSJDEL',
									'gdg_change_limit'         => 'BSJGDGL',
									'dsn_append_tape'          => 'BSJAPPT',
									'dsn_append_volume'        => 'BSJAPPV',
									'dsn_rename'               => 'BSJREND',
									'adhoc_on_demand_ptpc'     => 'BSJOD',
									'tws_adhoc_check'          => 'BSJEDTA',
									'universal'                => 'DBUNI' 
								),
							   'jcl_osj' => array (
								   'SYSH_ID' => array (
									   '*' => array (
										   'template'   => 'BSJOSJ',
										   'tws_sys'    => 'SYSH_ID',
										   'app_id_pad' => 'PROCMAN#DMY',
										   'wsid'       => 'CPU',
										   'iat'        => '0600'
									   )
								   )
							   ),

							   'target_mirror' => array (
									'SYSH_ID' => array (
									   'XXX.HOS.DATA.OUT' => array (
											'SYSH_ID' => array (
												'XXX.HOS.DATA.MIRROR1',
												'XXX.HOS.DATA.MIRROR2',
												'XXX.HOS.DATA.MIRROR3'
											)
										)
									)
								)
							)
						) // environment
					)
				) // activity
			),
			//---------------------------------------------------------------------------------------------------
			//----[ Processes ]----------------------------------------------------------------------------------
			//---------------------------------------------------------------------------------------------------
			//------------------------------------------------------------------------
			//  JCL New (BAS - INT - UAT - PROD)
			//------------------------------------------------------------------------
			'JCL_NEW' => array (
				'activity' => array (
					'JCL_NEW_REQUEST' => array (
						'environment' => array (
							'!E1' => array (
								'template' => array (          
									'members_upload'       => 'BSMEUPL',  // new in V5 for fast PS transfer   
									'members_download'     => 'BSMEDOW',  // new in V5 for fast PS transfer   
									'jck_job_new'          => 'BSJCHKN',  // JCL analyze    
									'jck_job_editchk1'     => 'BSJEDT',   // JCL check without rules
									'jck_job_editchk1_tws' => 'BSJJCKT',  // OSJ/JCK     
									'jck_job_ref_master'   => 'BSJREF',    
									'jck_job_ref_UAT'      => 'BSJREFU', 
									'jck_job_ref_INT'      => 'BSJREFI', 
									'jck_job_ref_PROD'     => 'BSJREFP', 											
								),
								'task' => array (
									'*' => array (
										'stage'          => 'BAS',   
										'source_system'  => $bs_BAS_id, 
										'target_system'  => $bs_BAS_id,
										'check_system'   => $bs_BAS_id, 
										'source_library' => array ('%SYSUID..*'),
										'target_library' => $bs_jcl_target_BAS,  
										'member'         => array ('*'),
										'export_system'  => $bs_BAS_id,
										'export_library' => array ('%SYSUID..*'),
									    'preview_system'  => array ( 
															'UAT' => $bs_UAT_id, 
															'INT' => $bs_INT_id, 
															'BAS' => $bs_BAS_id, 
															'PRO' => $bs_PRD_id),
								   )
								),
								
								'zos_tech_user' => array(
									  '*' => array(
										'user' => $bs_BAS_user,
										'pwd'  => $bs_BAS_psw,
										'actions' => array(
											'read'   => true,
											'import' => true,
											'export' => true,
											'write'  => true,
											'check'  => true
										)
									)
								)
							)
						)
					), // JCL_NEW_REQUEST
		   
					'JCL_NEW_APPROVE' => array (
						'environment' => array (
							'!E1' => array (
								'template' => array (
									'members_upload'       => 'BSMEUPL',  // new in V5 for fast PS transfer   
									'members_download'     => 'BSMEDOW',  // new in V5 for fast PS transfer   
									'jck_job_approve'      => 'BSJEDTA',
								  	'jck_job_ref_test'     => 'BSJREF1', 
									'jck_job_ref_UAT'      => 'BSJREFU2', 
									'jck_job_ref_INT'      => 'BSJREFI2', 
									'jck_job_ref_PROD'     => 'BSJREFP2', 											
									'copy'                 => 'BSJCPY',
								),
								'task' => array (
									'*' => array (
										'stage'          => 'BAS',
										'export_system'   => $bs_BAS_id,
										'source_system'   => $bs_BAS_id,
										'target_system'   => $bs_BAS_id,
										'export_library'  => array ('%SYSUID..*'),
										'source_library'  => array ('%SYSUID..*'),
										'target_library'  => $bs_jcl_target_BAS, 
										'check_system'    => $bs_PRD_id,
										'type'            => 'JCL',
										'member'          => array (''),
										'lrecl'           => '',
										'preview_system'  => array ( 
															'UAT' => $bs_UAT_id, 
															'INT' => $bs_INT_id, 
															'BAS' => $bs_BAS_id, 
															'PRO' => $bs_PRD_id),
									),
								),
								'zos_tech_user' => array(
									  '*' => array(
										'user' => $bs_BAS_user,
										'pwd'  => $bs_BAS_psw,
										'actions' => array(
											'read'   => true,
											'import' => true,
											'export' => true,
											'write'  => true,
											'check'  => true
										)
									)
								)
							)
						)
					), // JCL_NEW_APPROVE	
					
					/* JCL_NEW_INT_CNF */
					'JCL_NEW_INT_CNF' => array (
						'environment' => array (
							'!E1' => array (
								'task' => array (
									'*' => array (
									)
								)
							)
						)
					), // JCL_NEW_INT_CNF
					
					/* JCL_NEW_INT_UPD */
					'JCL_NEW_INT_UPD' => array (
						'environment' => array (
							'!E1' => array (
								'template' => array (
									'jck_job_approve'    => 'BSJEDTA',
									'copy'               => 'BSJCPY',
								),
								'task' => array (
                                    '*' => array (
										'export_system'   => $bs_INT_id,
										'source_system'   => $bs_INT_id,
										'target_system'   => $bs_INT_id,
										'export_library'  => array ('%SYSUID..*'),
										'source_library'  => array ('%SYSUID..*'),
                                        'check_system'    => $bs_INT_id,
                                        'target_library'  => $bs_jcl_target_INT,  
                                        'type'            => 'JCL',
                                        'member'          => array (''),
                                        'lrecl'           => '',
										'preview_system'  => array ( 
															'UAT' => $bs_UAT_id, 
															'INT' => $bs_INT_id, 
															'BAS' => $bs_BAS_id, 
															'PRO' => $bs_PRD_id)
                                        ),
								),
								'zos_tech_user' => array(
									  '*' => array(
										'user' => $bs_INT_user,
										'pwd'  => $bs_INT_psw,
										'actions' => array(
											'read'   => true,
											'import' => true,
											'export' => true,
											'write'  => true,
											'check'  => true
										)
									)
								),
								'base_tmp_dsn' => [
									$bs_INT_id		=> $bs_INT_base_tmp
									]
							)
						)
					), // JCL_NEW_INT_UPD

					/* JCL_NEW_UAT_DATE */
					'JCL_NEW_UAT_DATE' => array (
						'environment' => array (
							'!E1' => array (
								'task' => array (
									'*' => array (
									)
								)
							)
						)
					), // JCL_NEW_UAT_DATE

					/* JCL_NEW_UAT_CNF */
					'JCL_NEW_UAT_CNF' => array (
						'environment' => array (
							'!E1' => array (
								'task' => array (
									'*' => array (
									)
								)
							)
						)
					), // JCL_NEW_UAT_CNF
				
					/* JCL_NEW_UAT_UPD */
					'JCL_NEW_UAT_UPD' => array (
						'environment' => array (
							'!E1' => array (
								'template' => array (
									'jck_job_approve'     => 'BSJEDTA',
									'copy'                => 'BSJCPY',
								),
								'task' => array (
                                    '*' => array (
										'export_system'   => $bs_UAT_id,
										'source_system'   => $bs_UAT_id,
										'target_system'   => $bs_UAT_id,
										'export_library'  => array ('%SYSUID..*'),
										'source_library'  => array ('%SYSUID..*'),
                                        'check_system'    => $bs_UAT_id,
                                        'target_library'  => $bs_jcl_target_UAT,  
                                        'type'            => 'JCL',
                                        'member'          => array (''),
                                        'lrecl'           => '',
										'preview_system'  => array ( 
															'UAT' => $bs_UAT_id, 
															'INT' => $bs_INT_id, 
															'BAS' => $bs_BAS_id, 
															'PRO' => $bs_PRD_id)
                                        ),
								),

								'zos_tech_user' => array(
									  '*' => array(
										'user' => $bs_UAT_user,
										'pwd'  => $bs_UAT_psw,
										'actions' => array(
											'read'   => true,
											'import' => true,
											'export' => true,
											'write'  => true,
											'check'  => true
										)
									)
								),
								'base_tmp_dsn' => [
									$bs_UAT_id		=> $bs_UAT_base_tmp
									]
							)
						)
					), // JCL_NEW_UAT_UPD
					
					/* JCL_NEW_PRO_DATE */
					'JCL_NEW_PRO_DATE' => array (
						'environment' => array (
							'!E1' => array (
								'task' => array (
									'*' => array (
									)
								)
							)
						)
					), // JCL_NEW_PRO_DATE
					
					/* JCL_NEW_PRO_CNF */
					'JCL_NEW_PRO_CNF' => array (
						'environment' => array (
							'!E1' => array (
								'task' => array (
									'*' => array (
									)
								)
							)
						)
					), // JCL_NEW_PRO_CNF
					
					/* JCL_NEW_PRO_UPD */
					'JCL_NEW_PRO_UPD' => array (
						'environment' => array (
							'!E1' => array (
								'template' => array (
									'jck_job_approve'     => 'BSJEDTA',
									'copy'                => 'BSJCPY',
								),
								'task' => array (
                                    '*' => array (
										'export_system'   => $bs_PRD_id,
										'source_system'   => $bs_PRD_id,
										'target_system'   => $bs_PRD_id,
										'export_library'  => array ('%SYSUID..*'),
										'source_library'  => array ('%SYSUID..*'),
                                        'check_system'    => $bs_PRD_id,
                                        'target_library'  => $bs_jcl_target_PRO,  
                                        'type'            => 'JCL',
                                        'member'          => array (''),
                                        'lrecl'           => '',
										'preview_system'  => array ( 
															'UAT' => $bs_UAT_id, 
															'INT' => $bs_INT_id, 
															'BAS' => $bs_BAS_id, 
															'PRO' => $bs_PRD_id)
                                        ),
								),

								'zos_tech_user' => array(
									  '*' => array(
										'user' => $bs_PRD_user,
										'pwd'  => $bs_PRD_psw,
										'actions' => array(
											'read'   => true,
											'import' => true,
											'export' => true,
											'write'  => true,
											'check'  => true
										)
									)
								),
								'base_tmp_dsn' => [
									$bs_PRD_id		=> $bs_PRD_base_tmp
									]
							)
						)
					) // JCL_NEW_PRO_UPD
				) // activity 
			), //* JCL_NEW
			
			//*
			//* Next process starts here 
    )
?>
