<?php

    //*************************************
    // IWS Process definition for client: BS
    //*************************************

	return array (

        // ----------------------------------------------------------------------------------------------
        // IWS_NEW - process for new IWS applications 
        // ----------------------------------------------------------------------------------------------
        //
        'IWS_NEW' => array (
                'activity' => array (
                        'IWS_REPORT' => array (
                                array (
                                        'name' => 't0001',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_report',
                                        'input' => array (
                                                'i_tws_ad_report' => 'show_current=false, general = [proc_info = [], proc_history = []], specific = [IWS_NEW_REQUEST = [], IWS_NEW_INT_UPD = [], IWS_NEW_UAT_UPD = [], IWS_NEW_PRO_UPD = [] ], addata_conf = [adcom = "adcom_bs", adop = "adop_bs" ], addata_format = [adcom = "wai",adop = "wai"]'
                                        ),
                                        'output' => array ()
                                )
                        ),
                        'IWS_NEW_REQUEST' => array (
                                array (
                                        'name' => 't0100',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0112',
                                        'type' => 'task',
                                        'module' => 'm_tws_get_oper_list',
                                        'input' => array (
                                                'i_file_list_cur' => 'list=[]',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", tws_rules="ins_to_BAS.xml", tws_rules_ctrl="check.xml", tws_rules_chng="change.xml", tws_rules_oplist="oplist.xml", interrupt=false, savepoint=true , addata_edit = true, addata_conf = [adcom = "adcom_bs", adop = "adop_ho"], addata_format = [adcom = "wai",adop = "wai"] ',    // , picker_conf=[adcal="xxx_cal"]

                                        ),
                                        'output' => array (
                                                'i_file_list_cur' => '',
                                                'i_tws_ad_appl_ins' => '',
                                        ),
                                        'pass' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0115',
                                        'type' => 'task',
                                        'module' => 'm_tws_convert_file_list',
                                        'input' => array (
                                                'i_file_list_cur' => ''
                                        ),
                                        'output' => array (
                                                'i_jcl_approved_files' => ''
                                        ),
                                        'pass' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_ins' => '',
                                        )
                                ),
                                array (
                                        'name' => 't0140',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_jcl_approved_files' => '',
                                                'i_tws_ad_appl_ins' => '',             
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, tws_update=false, cancel=false, max_app_cnt="%(MAX_AD)." ',  // max_app_cnt=99 or hwm max_ad      
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="copy", interrupt=true, parallel_mod=false  ',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_copy' => 'tws_target_system="all", tws_rules="PRO_to_BAS.xml", tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", create_mods=false, interrupt=true, savepoint=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_ho"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"],adgrpdef="vkb_grpdef"
                                                'i_tws_ad_copy_all_appl' => 'source_appl="orig", interrupt=false, savepoint=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"]
                                                'i_tws_ad_appl_del' => 'interrupt=false',
                                                'i_tws_ad_oper_load'=> 'silent=false',           // true to skip display oper list during StartCreateAD  
                                                'i_tws_msg' => 'msg="Press Button StartCreateAD or StartCopyAD or select an Application for other Actions. Finally click on Done",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=true'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0150',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0140"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0160',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=true'
                                        ),
                                        'output' => array ()
                                )
                        ),

                        'IWS_NEW_BAS_UPD' => array (
                                array (
                                        'name' => 't0210',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0220',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=true, tws_update=true, cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    												
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',         // ,picker_conf=[adcal="vkb_cal"]
                                                'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please review the applications and Update the target system. Maybe Modify or Reject.",
                                                         msg_translate=false,
                                                         msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0235',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0220"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0240',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ),  // end BAS UPD 

                        'IWS_NEW_INT_CNF' => array (            
                                array (
                                        'name' => 't0300',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0301',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_NEW_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button to confirm update in INT can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0305',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 

                        'IWS_NEW_INT_UPD' => array (
                                array (
                                        'name' => 't0310',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0320',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true, addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"] , addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BAS_to_INT.xml", interrupt=false, savepoint=false,   source_appl="orig" ',     // same_adid_act="mod",  ?
                                                'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"], 
												                         [activity = "IWS_NEW_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
												                         [activity = "IWS_NEW_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0330',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0320"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0340',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // end INT UPD 						
						
						'IWS_NEW_UAT_DATE' => array (
							array (
								'name'   => 't0100',
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0200',
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0350',
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0400',
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_uat_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0450',
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
                                    'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
															 [activity = "IWS_NEW_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
									                         [activity = "IWS_NEW_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],
															 [activity = "IWS_NEW_INT_UPD", task = "t0320", return_code="4", text = "INT Update"]]',
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0490',
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0400"'
								)
							)
						), // IWS_NEW_UAT_DATE  

                        'IWS_NEW_UAT_CNF' => array (            
                                array (
                                        'name' => 't0400',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0401',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_NEW_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_NEW_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],
																		 [activity = "IWS_NEW_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
												                         [activity = "IWS_NEW_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button to confirm update in UAT can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0405',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 
						
                        'IWS_NEW_UAT_UPD' => array (
                                array (
                                        'name' => 't0410',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0420',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"] , addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BAS_to_UAT.xml", interrupt=false, savepoint=false,    source_appl="orig" ',  //same_adid_act="mod", 
                                                'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_NEW_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"], 
																		 [activity = "IWS_NEW_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],
												                         [activity = "IWS_NEW_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
												                         [activity = "IWS_NEW_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],
																		 [activity = "IWS_NEW_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0430',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0420"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0440',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // UAT UPD 

						'IWS_NEW_PRO_DATE' => array (
							array (
								'name'   => 't0100',
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0200',
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0350',
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0400',
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_pro_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0450',
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
                                    'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
															 [activity = "IWS_NEW_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
															 [activity = "IWS_NEW_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
        							                         [activity = "IWS_NEW_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
									                         [activity = "IWS_NEW_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
															 [activity = "IWS_NEW_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
									                         [activity = "IWS_NEW_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"]]',															 
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0490',
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0400"'
								)
							)
						), // IWS_NEW_PRO_DATE  
						
                        'IWS_NEW_PRO_CNF' => array (
                                array (
                                        'name' => 't0600',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0601',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_NEW_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_NEW_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
																		 [activity = "IWS_NEW_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
																		 [activity = "IWS_NEW_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
																		 [activity = "IWS_NEW_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
																		 [activity = "IWS_NEW_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"],															 
																		 [activity = "IWS_NEW_PRO_DATE", task = "t0350", return_code="8", text = "PRO Date"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button, to confirm test was okay and update in production can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0605',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 
												
                        'IWS_NEW_PRO_UPD' => array (
                                array (
                                        'name'   => 't0610',
                                        'type'   => 'task',
                                        'module' => 'm_environment_load',
                                        'output' => array (
                                                'i_environment' => ''
                                        )								
                                ),
                                array (
                                        'name'   => 't0615',
                                        'type'   => 'task',
                                        'module' => 'm_tws_reject_auto',
                                        'input' => array (
                                                'i_environment' => '',
												'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_NEW_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_NEW_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
																		 [activity = "IWS_NEW_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
																		 [activity = "IWS_NEW_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
																		 [activity = "IWS_NEW_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
																		 [activity = "IWS_NEW_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"],															 																		 
																		 [activity = "IWS_NEW_PRO_DATE", task = "t0350", return_code="8", text = "PRO Date"],															 
																		 [activity = "IWS_NEW_PRO_CNF", task = "t0601", return_code="9", text = "PRO Confirm"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name'   => 't0620',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_ad_copy_all',
                                        'input' => array ('i_tws_ad_copy_all_appl' => 'source_appl="orig", interrupt=false, savepoint=false,  tws_rules="BAS_to_PRO.xml" ',
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name'   => 't0630',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_ad_update',
                                        'input' => array (        
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),								
                                array (
                                        'name'   => 't0640',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_finish',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                
                                        )
                                )								
								
                        )   // PRO UPD 
                )   // activity array 
        ),  // end IWS_NEW  



        // ----------------------------------------------------------------------------------------------
        // IWS_CHG - process to change/modify IWS applications 
        // ----------------------------------------------------------------------------------------------
        //
        'IWS_CHG' => array (
                'activity' => array (
                        'IWS_REPORT' => array (
                                array (
                                        'name' => 't0001',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_report',
                                        'input' => array (
                                                'i_tws_ad_report' => 'show_current=false, general = [proc_info = [], proc_history = []], specific = [IWS_CHG_REQUEST = [], IWS_CHG_INT_UPD = [], IWS_CHG_UAT_UPD = [], IWS_CHG_PRO_UPD = [] ], addata_conf = [adcom = "adcom_bs", adop = "adop_bs" ], addata_format = [adcom = "wai",adop = "wai"]'
                                        ),
                                        'output' => array ()
                                )
                        ),
                        'IWS_CHG_REQUEST' => array (
                                array (
                                        'name' => 't0100',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
								
                                array (
                                        'name' => 't0140',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, tws_update=false, cancel=false, max_app_cnt="%(MAX_AD)." ',  // max_app_cnt=99 or hwm max_ad      
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="copy", interrupt=true, parallel_mod=true, limit="BAP"   ',    // parallel_mod=false,    // needed? addata_conf = [adcom = "adcom_bs",adop = "adop_bs"] ', 
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="target", interrupt=false',
                                                'i_tws_ad_appl_copy' => 'tws_target_system="all", tws_rules="PRO_to_BAS.xml", tws_rules_ctrl="check.xml", interrupt=true, savepoint=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_ho"], addata_format = [adcom = "wai",adop = "wai"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"],adgrpdef="vkb_grpdef"
                                                'i_tws_ad_copy_all_appl' => 'same_adid_act="mod",   source_appl="orig", interrupt=false, savepoint=false, tws_rules="PRO_to_BAS.xml",  max_app_cnt="%(MAX_AD)."  ',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"]
                                                'i_tws_ad_appl_del' => 'interrupt=false',
                                                'i_tws_msg' => 'msg="Press Button Select/copy to get applications from Production to Baseline and then modify it. Finally click on Done",
                                                         msg_translate=false,   
                                                         msg_type="notice",
                                                         msg_for_empty_list=true'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0150',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0140"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0160',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=true'
                                        ),
                                        'output' => array ()
                                )
                        ),

                        'IWS_CHG_BAS_UPD' => array (
                                array (
                                        'name' => 't0210',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0220',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=true, tws_update=true, cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    												
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml",  interrupt=true, addata_edit = true ,addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',         // ,picker_conf=[adcal="vkb_cal"]
                                                'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please review the applications and Update the target system. Maybe Modify or Reject.",
                                                         msg_translate=false,
                                                         msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0235',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0220"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0240',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ),  // end BAS UPD 
						
                        'IWS_CHG_INT_CNF' => array (            
                                array (
                                        'name' => 't0300',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0301',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_CHG_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button to confirm update in INT can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0305',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 
						
                        'IWS_CHG_INT_UPD' => array (
                                array (
                                        'name' => 't0310',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0320',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BAS_to_INT.xml", interrupt=false, savepoint=false, same_adid_act="mod",   source_appl="orig" ',
                                                'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"], 
												                         [activity = "IWS_CHG_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_CHG_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0330',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0320"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0340',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // end INT UPD 						
						
						'IWS_CHG_UAT_DATE' => array (
							array (
								'name'   => 't0100',
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0200',
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0350',
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0400',
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_uat_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0450',
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
                                    'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
															 [activity = "IWS_CHG_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
															 [activity = "IWS_CHG_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],
															 [activity = "IWS_CHG_INT_UPD", task = "t0320", return_code="4", text = "INT Update"]]',
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0490',
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0400"'
								)
							)
						), // IWS_CHG_UAT_DATE  

                        'IWS_CHG_UAT_CNF' => array (            
                                array (
                                        'name' => 't0400',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0401',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_CHG_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_CHG_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],
																		 [activity = "IWS_CHG_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
												                         [activity = "IWS_CHG_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button to confirm update in UAT can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0405',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 						
						
                        'IWS_CHG_UAT_UPD' => array (
                                array (
                                        'name' => 't0410',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0420',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BAS_to_UAT.xml", interrupt=false, savepoint=false, same_adid_act="mod",   source_appl="orig" ',
												'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_CHG_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"], 
																		 [activity = "IWS_CHG_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
																		 [activity = "IWS_CHG_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
																		 [activity = "IWS_CHG_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
																		 [activity = "IWS_CHG_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0430',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0420"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0440',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // UAT UPD 

						'IWS_CHG_PRO_DATE' => array (
							array (
								'name'   => 't0100',
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0200',
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0350',
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0400',
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_pro_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0450',
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
                                    'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
															 [activity = "IWS_CHG_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"], 
															 [activity = "IWS_CHG_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
        							                         [activity = "IWS_CHG_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
									                         [activity = "IWS_CHG_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
															 [activity = "IWS_CHG_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
									                         [activity = "IWS_CHG_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"]]',															 
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0490',
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0400"'
								)
							)
						), // IWS_CHG_PRO_DATE  
						
                        'IWS_CHG_PRO_CNF' => array (
                                array (
                                        'name' => 't0600',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0601',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_CHG_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_CHG_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
																		 [activity = "IWS_CHG_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
																		 [activity = "IWS_CHG_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
																		 [activity = "IWS_CHG_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
																		 [activity = "IWS_CHG_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"],															 
																		 [activity = "IWS_CHG_PRO_DATE", task = "t0350", return_code="8", text = "PRO Date"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button, to confirm test was okay and update in production can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0605',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 
												
                        'IWS_CHG_PRO_UPD' => array (
                                array (
                                        'name'   => 't0610',
                                        'type'   => 'task',
                                        'module' => 'm_environment_load',
                                        'output' => array (
                                                'i_environment' => ''
                                        )								
                                ),
                                array (
                                        'name'   => 't0615',
                                        'type'   => 'task',
                                        'module' => 'm_tws_reject_auto',
                                        'input' => array (
                                                'i_environment' => '',
												'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_CHG_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_CHG_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
																		 [activity = "IWS_CHG_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
																		 [activity = "IWS_CHG_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
																		 [activity = "IWS_CHG_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
																		 [activity = "IWS_CHG_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"],															 																		 
																		 [activity = "IWS_CHG_PRO_DATE", task = "t0350", return_code="8", text = "PRO Date"],															 
																		 [activity = "IWS_CHG_PRO_CNF", task = "t0601", return_code="9", text = "PRO Confirm"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name'   => 't0620',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_ad_copy_all',
                                        'input' => array ('i_tws_ad_copy_all_appl' => 'source_appl="orig", same_adid_act="mod", interrupt=false, savepoint=false,  tws_rules="BAS_to_PRO.xml" ',
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name'   => 't0630',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_ad_update',
                                        'input' => array (        
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),								
                                array (
                                        'name'   => 't0640',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_finish',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                
                                        )
                                )								
								
                        )   // PRO UPD 
                )   // activity array 
        ),  // end IWS_CHG  


        // ----------------------------------------------------------------------------------------------
        // IWS_DEL - process to delete IWS applications in all stages 
        // ----------------------------------------------------------------------------------------------
        //
        'IWS_DEL' => array (
                'activity' => array (
                        'IWS_REPORT' => array (
                                array (
                                        'name' => 't0001',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_report',
                                        'input' => array (
                                                'i_tws_ad_report' => 'show_current=false, general = [proc_info = [], proc_history = []], specific = [IWS_DEL_REQUEST = [], IWS_DEL_INT_UPD = [], IWS_DEL_UAT_UPD = [], IWS_DEL_PRO_UPD = [] ], addata_conf = [adcom = "adcom_bs", adop = "adop_bs" ], addata_format = [adcom = "wai",adop = "wai"]'
                                        ),
                                        'output' => array ()
                                )
                        ),
                        'IWS_DEL_REQUEST' => array (
                                array (
                                        'name' => 't0100',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
								
                                array (
                                        'name' => 't0140',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, tws_update=false, cancel=false, max_app_cnt="%(MAX_AD)." ',  // max_app_cnt=99 or hwm max_ad      
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="copy", interrupt=true, parallel_mod=false, limit="BAP"   ',    // needed? addata_conf = [adcom = "adcom_bs",adop = "adop_bs"] ', 
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="delete", interrupt=false, parallel_mod=false, limit="BAP" ',
                                                'i_tws_ad_appl_copy' => 'tws_target_system="all", tws_rules="PRO_to_BAS.xml", tws_rules_ctrl="check.xml", interrupt=true, savepoint=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_ho"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"],adgrpdef="vkb_grpdef"
                                                'i_tws_ad_copy_all_appl' => 'source_appl="orig", interrupt=false, savepoint=false, tws_rules="PRO_to_BAS.xml",  max_app_cnt="%(MAX_AD).", same_adid_act="del"  ',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"]
                                                'i_tws_ad_appl_del' => 'interrupt=false, tws_target_system="source", tws_target_search_fields=["adstat","adto","adfrom","adtype"] ',      
                                                'i_tws_msg' => 'msg="Press Button StartDelete to get applications from Production to Baseline for delete actions. Finally click on Done",
                                                         msg_translate=false,   
                                                         msg_type="notice",
                                                         msg_for_empty_list=true'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0150',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0140"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0160',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=true'
                                        ),
                                        'output' => array ()
                                )
                        ),

                        'IWS_DEL_BAS_UPD' => array (
                                array (
                                        'name' => 't0210',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0220',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=true, tws_update=true, cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    												
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml",  interrupt=true, addata_edit = true ,addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',         // ,picker_conf=[adcal="vkb_cal"]
                                                'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please review the applications and Update the target system. Maybe Modify or Reject.",
                                                         msg_translate=false,
                                                         msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0235',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0220"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0240',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ),  // end BAS UPD 

                        'IWS_DEL_INT_CNF' => array (            
                                array (
                                        'name' => 't0300',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0301',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_DEL_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button to confirm delete in INT can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0305',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 

                        'IWS_DEL_INT_UPD' => array (
                                array (
                                        'name' => 't0310',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0320',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BAS_to_INT.xml", interrupt=false, savepoint=false, same_adid_act="del", same_adid_fields=["adstat","adto"], source_appl="orig" ',			
                                                'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"], 
												                         [activity = "IWS_DEL_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_DEL_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0330',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0320"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0340',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // end INT UPD 						
						
						'IWS_DEL_UAT_DATE' => array (
							array (
								'name'   => 't0100',
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0200',
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0350',
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0400',
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_uat_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0450',
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
                                    'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
															 [activity = "IWS_DEL_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
															 [activity = "IWS_DEL_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],
															 [activity = "IWS_DEL_INT_UPD", task = "t0320", return_code="4", text = "INT Update"]]',														 
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0490',
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0400"'
								)
							)
						), // IWS_DEL_UAT_DATE  

                        'IWS_DEL_UAT_CNF' => array (            
                                array (
                                        'name' => 't0400',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0401',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_DEL_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_DEL_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],
																		 [activity = "IWS_DEL_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
												                         [activity = "IWS_DEL_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button to confirm delete in UAT can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0405',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 												
						
                        'IWS_DEL_UAT_UPD' => array (
                                array (
                                        'name' => 't0410',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0420',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [adcom = "adcom_bs", adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BAS_to_UAT.xml", interrupt=false, savepoint=false, same_adid_act="del", same_adid_fields=["adstat","adto"], source_appl="orig" ',
												'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_DEL_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_DEL_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
																		 [activity = "IWS_DEL_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
																		 [activity = "IWS_DEL_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
																		 [activity = "IWS_DEL_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"]]',															 																														 
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0430',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0420"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0440',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // UAT UPD 

						'IWS_DEL_PRO_DATE' => array (
							array (
								'name'   => 't0100',
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0200',
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0350',
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0400',
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_pro_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0450',
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
                                    'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
															 [activity = "IWS_DEL_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"], 
															 [activity = "IWS_DEL_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
        							                         [activity = "IWS_DEL_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
									                         [activity = "IWS_DEL_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
															 [activity = "IWS_DEL_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
									                         [activity = "IWS_DEL_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"]]',															 
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0490',
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0400"'
								)
							)
						), // IWS_DEL_PRO_DATE  
						
                        'IWS_DEL_PRO_CNF' => array (
                                array (
                                        'name' => 't0600',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0601',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=false, tws_update=false, cancel=false',
												'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_DEL_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_DEL_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
																		 [activity = "IWS_DEL_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
																		 [activity = "IWS_DEL_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
																		 [activity = "IWS_DEL_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
																		 [activity = "IWS_DEL_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"],															 																		 
																		 [activity = "IWS_DEL_PRO_DATE", task = "t0350", return_code="8", text = "PRO Date"]]',															 																														 
                                                'i_tws_reject'=>'use_last_data=false',
                                                // 'i_tws_msg' => 'msg=""'   // no message? 
                                                'i_tws_msg' => 'msg="Click on Done button, to confirm test was okay and delete in production can be made.",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=false'
										),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),								
                                array (
                                        'name' => 't0605',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // Confirm 
						
                        'IWS_DEL_PRO_UPD' => array (
                                array (
                                        'name'   => 't0610',
                                        'type'   => 'task',
                                        'module' => 'm_environment_load',
                                        'output' => array (
                                                'i_environment' => ''
                                        )								
                                ),
                                array (
                                        'name'   => 't0615',
                                        'type'   => 'task',
                                        'module' => 'm_tws_reject_auto',
                                        'input' => array (
                                                'i_environment' => '',
												'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_DEL_BAS_UPD", task = "t0220", return_code="2", text = "BAS Update"],
																		 [activity = "IWS_DEL_INT_CNF", task = "t0301", return_code="3", text = "INT Confirm"],														 
																		 [activity = "IWS_DEL_INT_UPD", task = "t0320", return_code="4", text = "INT Update"],
																		 [activity = "IWS_DEL_UAT_DATE", task = "t0350", return_code="5", text = "UAT Date"],															 
																		 [activity = "IWS_DEL_UAT_CNF", task = "t0401", return_code="6", text = "UAT Confirm"],
																		 [activity = "IWS_DEL_UAT_UPD", task = "t0420", return_code="7", text = "UAT Update"],															 																		 
																		 [activity = "IWS_DEL_PRO_DATE", task = "t0350", return_code="8", text = "PRO Date"],															 
																		 [activity = "IWS_DEL_PRO_CNF", task = "t0601", return_code="9", text = "PRO Confirm"]]',															 
                                                'i_tws_reject'=>'use_last_data=false',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name'   => 't0620',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_ad_copy_all',
                                        'input' => array ('i_tws_ad_copy_all_appl' => 'source_appl="orig", same_adid_act="del", interrupt=false, savepoint=false,  tws_rules="BAS_to_PRO.xml" ',
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name'   => 't0630',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_ad_update',
                                        'input' => array (        
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),								
                                array (
                                        'name'   => 't0640',
                                        'type'   => 'task',
                                        'module' => 'm_tws_auto_finish',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_goto'       => 'error = ""',
                                        ),
                                        'output' => array (
                                                
                                        )
                                )								
								
                        )   // PRO UPD 
                )   // activity array 
        ),  // end IWS_DEL  		
		
		
		
        // ----------------------------------------------------------------------------------------------
        // IWS_CHG_RUN - process to change/modify RunCycle IWS applications 
        // ----------------------------------------------------------------------------------------------
        //
        'IWS_CHG_RUN' => array (
                'activity' => array (
                        'IWS_REPORT' => array (
                                array (
                                        'name' => 't0001',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_report',
                                        'input' => array (
                                                'i_tws_ad_report' => 'show_current=false, general = [proc_info = [], proc_history = []], specific = [IWS_CHG_REQUEST = [], IWS_CHG_INT_UPD = [], IWS_CHG_UAT_UPD = [], IWS_CHG_PRO_UPD = [] ], addata_conf = [adcom = "adcom_bs", adop = "adop_bs" ], addata_format = [adcom = "wai",adop = "wai"]'
                                        ),
                                        'output' => array ()
                                )
                        ),
                        'IWS_CHG_REQUEST' => array (
                                array (
                                        'name' => 't0100',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
								
                                array (
                                        'name' => 't0140',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, tws_update=false, cancel=false, max_app_cnt="%(MAX_AD)." ',  // max_app_cnt=99 or hwm max_ad      
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="copy", interrupt=true, parallel_mod=false, limit="BAP"   ',    // needed? addata_conf = [adcom = "adcom_bs",adop = "adop_bs"] ', 
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="target", interrupt=false',
                                                // 'i_tws_ad_appl_copy' => 'tws_target_system="all", tws_rules="PRO_to_BAS.xml", tws_rules_ctrl="check.xml", interrupt=true, savepoint=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_ho"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"],adgrpdef="vkb_grpdef"
                                                'i_tws_ad_appl_copy' => 'tws_target_system="all",       interrupt=true, savepoint=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_ho"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"],adgrpdef="vkb_grpdef"
                                                //'i_tws_ad_copy_all_appl' => 'source_appl="orig", interrupt=false, savepoint=false, tws_rules="PRO_to_BAS.xml",  max_app_cnt="%(MAX_AD)."  ',  // copy src->trg and/or start select/copy  
                                                'i_tws_ad_copy_all_appl' => 'source_appl="orig", interrupt=false, savepoint=false,    max_app_cnt="%(MAX_AD)."  ',   // copy src->trg and/or start select/copy 
                                                //'i_tws_ad_appl_mod' => 'tws_rules_chng="change_Run.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"]
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change_Run.xml",      interrupt=true, addata_edit = true, addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="vkb_cal"]
                                                'i_tws_ad_appl_del' => 'interrupt=false',
                                                'i_tws_msg' => 'msg="Press Button Select/copy to get applications and then modify it. Finally click on Done",
                                                         msg_translate=false,   
                                                         msg_type="notice",
                                                         msg_for_empty_list=true'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0150',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0140"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0160',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=true'
                                        ),
                                        'output' => array ()
                                )
                        ),

                        'IWS_CHG_RUN_UPD' => array (
                                array (
                                        'name' => 't0210',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0220',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=true, tws_update=true, cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    												
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml",  interrupt=true, addata_edit = true ,addata_conf = [adcom = "adcom_bs",adop = "adop_bs"], addata_format = [adcom = "wai",adop = "wai"] ',         // ,picker_conf=[adcal="vkb_cal"]
                                                'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST", task = "t0140", return_code="1", text = "Request Activity"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please review the applications and Update the target system. Maybe Modify or Reject.",
                                                         msg_translate=false,
                                                         msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0235',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0220"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0240',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ),  // end RUN UPD 

                )   // activity array 
        ),  // end IWS_CHG_RUN   		

		
		
		

    )    


?>
