<?php

    //*************************************
    // Process definition for client: BS
    //*************************************

	return array (
		// -----------------------------------------------------------------------------------------------------
        // JCL_NEW
        // -----------------------------------------------------------------------------------------------------
        //
        'JCL_NEW' => array (
		        'activity' => array (
                'JCL_NEW_REQUEST' => array (
                    array (
                        'name'   => 't0100',
                        'type'   => 'task',
                        'module' => 'm_jcl_start',
                        'pass'   => array (
                            'i_jcl_config' => 'is_proc = false, is_sysin = false'
                        )
                    ),

                    array (
                        'name'   => 't0200',
                        'type'   => 'task',
                        'module' => 'm_set_hwm_parm',
                        'input'  => array (
                            'i_set_hwm_parm' => 'OBJECT_COUNT = "", HOS_PARM_PROC_TYPE ="NEW"'
                        ),
                        'pass'   => array (
                            'i_jcl_config' => ''
                        )
                    ),

                    array (
                        'name'   => 't0300',
                        'type'   => 'task',
                        'module' => 'm_environment',
                        'input'  => array (
                            'i_goto'        => 'error=""'
                        ),
                        'output' => array (
                            'i_environment'  => '',
                            'i_goto'         => ''
                        ),
                        'pass' => array (
                            'i_jcl_config'  => ''
                        )
                    ),
                    array (
						'name'   => 't0400',
                        'type'   => 'task',
                        'module' => 'm_jcl_select_file_sys',
                        'input'  => array (
                            'i_goto'                => '',
                            'i_jcl_config'          => '',
                            'i_environment'         => '',
                            'i_jcl_select_file_sys' => 'interrupt=true, cancel=false, savepoint=true'),
                        'output' => array (
                            'i_goto'          => '',
                            'i_jcl_config'    => '',
                            'i_environment'   => '',
                            'i_file_list_sys' => '')
                    ),
					
                    array (
                        'name'   => 't0500',
                        'type'   => 'task',
                        'module' => 'm_jcl_analyse_1',
                        'input'  => array (
                            'i_goto'          => 'error = "t0400"',
                            'i_jcl_config'    => '',
                            'i_environment'   => '',
                            'i_file_list_sys' => '',
                            'i_file_list_arc' => 'list=[]',
					     
							
                            'i_jcl_analyse_1' => 'mode="insert",'.$bs_hwm_parm .',usr_parm=[is_change="0"]',
							'i_jcl_save_parm' => 'parm=[JOB=[], EXEC=["PGM", "PROC", "#PP01"], DD=["DSN"], OUTPUT=[]]',
						    // 'i_jcl_analyse_1' => 'mode="insert",hwm_parm=["earliest_date"],usr_parm=[is_change="0"]',
							// 'i_jcl_save_parm' => 'parm=[JOB=[], EXEC=["PGM", "PROC", "#PP01"], DD=["DSN"], OUTPUT=[], SET=[], INCLUDE=[]]'
						),	
                        'output' => array (
                            'i_jcl_config'    => '',
                            'i_environment'   => '',
                            'i_jcl_analyse_1' => '',
                            'i_jcl_save_parm' => ''
                        )
                    ),

					array (
                        'name'   => 't0700',
                        'type'   => 'task',
                        'module' => 'm_jcl_fillforms',
                        'input'  => array (
                            'i_goto'             => 'error = ""',
                            'i_jcl_config'       => '',
                            'i_environment'      => '',
                            'i_jcl_analyse_1'    => '',
                            'i_jcl_save_parm'    => '',
                            'i_jcl_fillforms'    => 'task_analyse_1="t0500", task_jckin="t0500", task_select="t0400"',
                            'i_jcl_analyse_2'    => 'task_analyse_1="t0500", task_jckin="t0500", rename_allowed=true, '.
                                                    'lock=false, unique=false, '.													
											        'template_index=[template="jck_job_ref_master",name="BAS",'.
													'        	  next=[[template="jck_job_ref_UAT",name="UAT"],'.
													'				    [template="jck_job_ref_INT",name="INT"],'.
													'				    [template="jck_job_ref_PROD",name="PRO"]]],'
													.$bs_hwm_parm .',usr_parm=[is_change="0"]',
                        ),
                        'output' => array (
                            'i_jcl_config'    => '',
                            'i_environment'   => '',
                            'i_jcl_analyse_2' => '',
                            'i_jcl_save_parm' => ''
                        )
                    ),

                    array (
                        'name'   => 't0800',
                        'type'   => 'task',
                        'module' => 'm_jcl_analyse_2',
                        'input'  => array (
                            'i_goto'               => 'error = "t0700"',
                            'i_jcl_config'         => '',
                            'i_environment'        => '',
                            'i_jcl_analyse_2'      => '',
                            'i_jcl_save_parm'      => '',
                            'i_jcl_check_parallel' => 'checks=[[type="error",   check=[mem=true,  dsn=true,  sys=true], mode=[unique=true, parallel=true], obj_type="JCL" ]]',
                         ),
                        'output' => array (
                            'i_jcl_config'         => '',
                            'i_environment'        => '',
                            'i_jcl_save_parm'      => '',
                            'i_goto'               => '',
                            'i_jcl_check_parallel' => ''
                        )
                    ),

                    array (
                        'name'   => 't0850',
                        'type'   => 'task',
                        'module' => 'm_jcl_check_parallel',
                        'input'  => array (
                            'i_goto'               => '',
                            'i_jcl_check_parallel' => '',
                            'i_file_list_arc'      => 'list=[]',
                            'i_file_list_sys'      => 'list=[]'
                        ),
                        'output' => array (
                            'i_goto'               => ''
                        ),
                        'pass' => array (
                            'i_jcl_config'         => '',
                            'i_environment'        => '',
                            'i_jcl_save_parm'      => ''
                        )
                    ),


                    array (
                        'name'   => 't0900',
                        'type'   => 'task',
                        'module' => 'm_jcl_generate',
                        'input'  => array (
                            'i_goto'          => '',
                            'i_jcl_config'    => '',
                            'i_environment'   => '',
                            'i_jcl_save_parm' => '',
                            'i_jcl_generate'  => 'task_jckin = "t0500", task_analyse_2 = "t0800"',
                            'i_jcl_report'    => 'general = ['.
                                                 '  proc_info    = [],'.
                                                 '  proc_history = []],'.
                                                 'specific = ['.
                                                 '   JCL_NEW_REQUEST = ['.
                                                 '     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"],'.
                                                 '                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="REQUEST-Input"]]]],'.
                                                 '     forms = [[task = "t0500"]]]]',
                        )
                    ),

                    array (
                        'name'   => 't1000',
                        'type'   => 'task',
                        'module' => 'm_jcl_index',
                        'input'  => array (
                            'i_goto'       => 'error = "t0900"',
                            'i_jcl_index'  => 'JCL_MEMBER           =[[index_type="member_fillform", activity="JCL_NEW_REQUEST", task="t0500"],'.
                                              '                       [index_type="member_generate", activity="JCL_NEW_REQUEST", task="t0800", data_type="JCL"]]'
                        ),
                        'output' => array (
                            'i_goto'      => ''
                        )
                    ),

                    array (
                        'name'   => 't1100',
                        'type'   => 'task',
                        'module' => 'm_finish',
                        'input'  => array (
                            'i_goto' => ''
                        )
                    )
                ), // JCL_NEW_REQUEST

                'JCL_NEW_APPROVE' => array (
                    array (
                        'name'   => 't0100',
                        'type'   => 'task',
                        'module' => 'm_jcl_start'
                    ),

                    array (
                        'name'   => 't0200',
                        'type'   => 'task',
                        'module' => 'm_environment_load',
                        'output' => array (
                            'i_environment' => ''
                        )
                    ),

                    array (
                        'name'   => 't0300',
                        'type'   => 'task',
                        'module' => 'm_jcl_approve',
                        'input'  => array (
                            'i_goto'                => 'error = ""',
                            'i_environment'         => '',
                            'i_jcl_save_parm'       => 'parm = []',
							'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "REQUESTOR"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "PLANNER"]]',
                            'i_jcl_approve'         => 'activity_request="JCL_NEW_REQUEST", task_request="t0800", '.
                                                       'activity_approve="JCL_NEW_APPROVE", task_approve="t0300", '.
                                                       'edit_jcl_member=false, edit_proc_member=false, edit_sysin_member=false, '.
                                                       'edit_jcl_library=false, edit_proc_library=false, edit_sysin_library=false, '.
                                                       'lock=true, unique=true, '.
                                                       'must_check_jcl="edit", must_check_proc="edit"',
                            'i_alter_text'          => 'map = [[old="SavedMembersJcl", new="GeneratedMembersJcl"],'.
                                                       '       [old="OK", new="JCL-Generation"],'.
                                                       '       [old="ApproveFinalConfirm", new="GenerateApproveFinalConfirm"]]',
                            'i_jcl_config'          => 'is_proc = false, is_sysin = false',
                            'i_jcl_report'          => 'general = ['.
                                                       '  proc_info    = [],'.
                                                       '  proc_history = []],'.
                                                       'specific = ['.
                                                       '   JCL_NEW_REQUEST = ['.
                                                       '     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"],'.
                                                       '                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="Request-Input"]]]],'.
                                                       '     forms = [[task = "t0500"]]]]',  
                            'i_compare'             => 'prc=[[activity="JCL_NEW_REQUEST",task="t0500",text="Request-Input"],'
                                                     . '     [activity="JCL_NEW_REQUEST",task="t0800",text="Request-Generator"]],'
                                                     . 'mode=["PRC"]',													   
                            'i_jcl_analyse_2'       => 'task_jckin="t0500", activity_jckin="JCL_NEW_REQUEST", '.
                                                       'task_analyse_1="t0800", activity_analyse_1="JCL_NEW_REQUEST", '.
                                                       'rename_allowed=true, lock=false, unique=false, '.
													   'template_index=[template="",name="",preview_skip_stage=true,'.
														'        	  next=[[template="jck_job_ref_UAT",name="UAT"],'.
													    '				    [template="jck_job_ref_INT",name="INT"],'.
													    '				    [template="jck_job_ref_PROD",name="PRO"]]],'
														.$bs_hwm_parm .',usr_parm=[is_change="0"]',   
                            'i_jcl_check_parallel' => 'checks=[[type="error",   check=[mem=true,  dsn=true,  sys=true], mode=[unique=true, parallel=true], obj_type="JCL" ]]',													
                        ),                        'output' => array (
                            'i_environment'        => '',
                            'i_jcl_approve'        => '',
							'i_jcl_config'         => '',
                            'i_jcl_check_parallel' => ''
                        )
                    ),
                    
                    array (
                        'name'   => 't0350',
                        'type'   => 'task',
                        'module' => 'm_jcl_check_parallel',
                        'input'  => array (
                            'i_goto'               => 'error="t0300"',
                            'i_jcl_check_parallel' => '',
                            'i_file_list_arc'      => 'list=[]',
                            'i_file_list_sys'      => 'list=[]'
                        ),
                        'output' => array (
                            'i_goto'               => ''
                        ),
                        'pass' => array (
                            'i_environment'        => '',
                            'i_jcl_approve'        => '',
							'i_jcl_config'         => ''
                        )                                
                    ),
									
										
                    array (
                        'name'   => 't0400',
                        'type'   => 'task',
                        'module' => 'm_jcl_clone_approve',
                        'input'  => array (
                            'i_goto'               => '',
                            'i_environment'        => '',
                            'i_jcl_approve'        => '',
                            'i_jcl_clone_approve'  => 'description="(PLANNER)"'
                        ),
                        'output' => array (
                            'i_goto'        => '',
                            'i_environment' => '',
                        ),
						'pass' => array (
							'i_jcl_config'  => ''
						)
                    ),

                    array (
                        'name'   => 't0500',
                        'type'   => 'task',
                        'module' => 'm_jcl_analyse_2',
                        'input'  => array (
                            'i_goto'                  => '',
                            'i_environment'           => '',
                            'i_jcl_config'            => '',
                            'i_jcl_analyse_2'         => 'task_jckin="t0400", activity_jckin="JCL_NEW_APPROVE", '.
                                                         'task_analyse_1="t0800", activity_analyse_1="JCL_NEW_REQUEST", '.
                                                         'template_index=[template="jck_job_ref_test",name="UAT/INT/PRO"], '.
                                                         'rename_allowed=true, lock=true, unique=false, '
														 .$bs_hwm_parm .',usr_parm=[is_change="0"]',
                            'i_jcl_save_parm'         => 'parm=[JOB=["#PP01"], EXEC=["PGM", "PROC", "#PP01"]]',
                            'i_jcl_check_parallel' => 'checks=[[type="error",   check=[mem=true,  dsn=true,  sys=true], mode=[unique=true, parallel=true], obj_type="JCL" ]]',																										   
                        ),
                        'output' => array (
                            'i_goto'          => '',
                            'i_environment'   => '',
                            'i_jcl_config'    => '',
                            'i_jcl_save_parm' => '',
                            'i_jcl_check_parallel' => ''
                        )
                    ),
                    
                    array (
                        'name'   => 't0540',
                        'type'   => 'task',
                        'module' => 'm_jcl_check_parallel',
                        'input'  => array (
                            'i_goto'               => '',
                            'i_jcl_check_parallel' => '',
                            'i_file_list_arc'      => 'list=[]',
                            'i_file_list_sys'      => 'list=[]'
                        ),
                        'output' => array (
                            'i_goto'               => ''
                        ),
                        'pass' => array (
                            'i_jcl_config'         => '',
                            'i_environment'        => '',
                            'i_jcl_save_parm'      => ''
                        )                                
                    ),

					array (
                      'name'   => 't0550',
                        'type'   => 'task',
                        'module' => 'm_jcl_trans_extract',
                        'input'  => array (
                            'i_goto'               => '',
                            'i_jcl_trans_extract'  => 'source = [task = "t0500"],'
													. 'extract = [['.$extract_BAS.'],'
													. '			  ['.$extract_DEV.']],'
                                                    . 'progress_text = "Preparing data for BAS+DEV)"'
                        ),
                        'output' => array (
                            'i_goto'               => ''
                        ),
                        'pass' => array (
                            'i_jcl_config'         => '',
                            'i_environment'        => '',
                            'i_jcl_save_parm'      => ''
                        )  
                    ),					
					
	                array (
                      'name'   => 't0560',
                        'type'   => 'task',
                        'module' => 'm_jcl_trans_extract',
                        'input'  => array (
                            'i_goto'               => '',
                            'i_jcl_trans_extract'  => 'source = [task = "t0500"],'
    												. 'extract = [['.$extract_INT.']],'
                                                    . 'progress_text = "Preparing data for INT)"'
                        ),
                        'output' => array (
                            'i_goto'               => ''
                        ),
                        'pass' => array (
                            'i_jcl_config'         => '',
                            'i_environment'        => '',
                            'i_jcl_save_parm'      => ''
                        )  
                    ),
                    
                    array (
                      'name'   => 't0570',
                        'type'   => 'task',
                        'module' => 'm_jcl_trans_extract',
                        'input'  => array (
                            'i_goto'               => '',
                            'i_jcl_trans_extract'  => 'source = [task = "t0500"],'
                                                    . 'extract = [['.$extract_UAT.']],'
                                                    . 'progress_text = "Preparing data for UAT"'
                        ),
                        'output' => array (
                            'i_goto'               => ''
                        ),
                        'pass' => array (
                            'i_jcl_config'         => '',
                            'i_environment'        => '',
                            'i_jcl_save_parm'      => ''
                        )  
                    ),
                    
                    array (
                      'name'   => 't0580',
                        'type'   => 'task',
                        'module' => 'm_jcl_trans_extract',
                        'input'  => array (
                            'i_goto'               => '',
                            'i_jcl_trans_extract'  => 'source = [task = "t0500"],'
													. 'extract = [['.$extract_PRO.']],'
                                                    . 'progress_text = "Preparing data for PROD"'
                        ),
                        'output' => array (
                            'i_goto'               => ''
                        ),
                        'pass' => array (
                            'i_jcl_config'         => '',
                            'i_environment'        => '',
                            'i_jcl_save_parm'      => ''
                        )  
                    ),
					
					
                    array (
                        'name'   => 't0600',
                        'type'   => 'task',
                        'module' => 'm_jcl_generate',
                        'input'  => array (
                            'i_goto'          => '',
                            'i_jcl_config'    => '',
                            'i_environment'   => '',
                            'i_jcl_save_parm' => '',
                            'i_jcl_generate'  => 'task_jckin = "t0400", task_analyse_2 = "t0500"',
                            'i_jcl_report'          => 'general = ['.
                                                       '  proc_info    = [],'.
                                                       '  proc_history = []],'.
                                                       'specific = ['.
                                                       '   JCL_NEW_REQUEST = ['.
                                                       '     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"],'.
                                                       '                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="REQUEST-Input"]]]],'.
                                                       '     forms = [[task = "t0500"]]],'.
                                                       '   JCL_NEW_APPROVE = ['.
                                                       '     approved_files = [[input  = [activity = "JCL_NEW_REQUEST", task = "t0800"],'.
                                                       '                        output = [activity = "JCL_NEW_APPROVE", task = "t0300"],'.
                                                       '                        compare = [[activity="JCL_NEW_REQUEST", task="t0500",text="Request-Input"],'
                                                     . '                                   [activity="JCL_NEW_REQUEST", task="t0800",text="Request-Generator"]]]],'
                                                     . '     log = [[files=[[key="COPY_JES", task="t0500"],[key="COPY_SYSPRINT",task="t0500"]]]]]]'							
                        ),
						'output' => array (
                        	'i_jcl_config'  => '',
                            'i_environment' => ''
                        )
                    ),

                    array (
                        'name'   => 't0650',
                        'type'   => 'task',
                        'module' => 'm_jcl_confirm_copy',
                        'input'  => array (
                            'i_goto'          => 'error = "t0600"',
                            'i_environment'   => '',
							'i_jcl_approve'   => 'activity_request="JCL_NEW_APPROVE", task_request="t0550", '.
												 'activity_approve="", task_approve="", '.
												 'lock=false, unique=false',
                            'i_jcl_confirm_copy' => 'target="BAS"'
                        ),
                        'output' => array (
                            'i_goto'        => '',
                            'i_environment' => '',
                            'i_jcl_approve' => ''
                        ),
                        'pass' => array (
                            'i_jcl_config'  => ''
                        )
                    ),
                
					array (
						'name'   => 't0700',
                        'type'   => 'task',
                        'module' => 'm_jcl_copy',
                        'input'  => array (
                            'i_goto'        => 'error = "t0300"',
                            'i_environment' => '',
							'i_jcl_approve'   => '',
                            'i_log'         => 'accept = [COPY_JES      = "JES log of the final copy for BAS+DEV", '.
                                               '          COPY_SYSPRINT = "SYSPRINT of the copy utility that copies BAS+DEV members"]'
                        ),
                        'output' => array (
                            'i_goto'        => '',
                            'i_jcl_approve' => '',
                            'i_log'         => '',
                            'i_environment' => ''
                        ),
						'pass' => array (
							'i_jcl_config' => ''
						)
                    ),

                    array (
                        'name'   => 't0850',
                        'type'   => 'task',
                        'module' => 'm_log',
                        'input'  => array (
                            'i_goto' => '',
                            'i_log'  => ''
                        ),
                        'output' => array (
                            'i_goto' => ''
                        ),
                        'pass' => array (
                            'i_jcl_approve' => '',
                            'i_environment' => '',
							'i_jcl_config'  => ''
                        )
                    ),
					
					// KB 2024-03-06 m_jcl_index eingebaut 
					array (
                        'name'   => 't0900',
                        'type'   => 'task',
                        'module' => 'm_jcl_index',
                        'input'  => array (
                            'i_goto'       => '',
                            'i_jcl_index'  => 'JCL_MEMBER           =[[index_type="member_fillform", activity="JCL_NEW_REQUEST", task="t0500"],'.
                                              '                       [index_type="member_generate", activity="JCL_NEW_REQUEST", task="t0800", data_type="JCL"],'.
                                              '                       [index_type="member_generate", activity="JCL_NEW_APPROVE", task="t0550", data_type="JCL"],'.
                                              '                       [index_type="member_generate", activity="JCL_NEW_APPROVE", task="t0560", data_type="JCL"],'.
                                              '                       [index_type="member_generate", activity="JCL_NEW_APPROVE", task="t0570", data_type="JCL"],'.
                                              '                       [index_type="member_generate", activity="JCL_NEW_APPROVE", task="t0580", data_type="JCL"],'.
                                              '                       [index_type="member_approve",  activity_request="JCL_NEW_REQUEST", task_request="t0800", activity_approve="JCL_NEW_APPROVE", task_approve="t0300", data_type="JCL"]]'.

                                              'JCL_JOB_NAME         =[[index_type="jclstmt", activity="JCL_NEW_REQUEST", task="t0800", stmt="JOB"]],'.

                                              'JCL_ACCOUNT          =[[index_type="jclparm", activity="JCL_NEW_REQUEST", task="t0800", stmt="JOB", parm="#PP01"]],'.

                                              'JCL_PROGRAM_NAME     =[[index_type="jclparm", activity="JCL_NEW_REQUEST", task="t0800", stmt="EXEC", parm="PGM"]],'.

                                              'JCL_PROCEDURE_CALLS  =[[index_type="jclparm", activity="JCL_NEW_REQUEST", task="t0800", stmt="EXEC", parm="PROC"],'.
                                              '                       [index_type="jclparm", activity="JCL_NEW_REQUEST", task="t0800", stmt="EXEC", parm="#PP01"]]'

                        ),
                        'output' => array (
                            'i_goto'      => ''
                        ),
                        'pass' => array (
                            'i_jcl_approve' => '',
							'i_environment' => '',
							'i_jcl_config'  => ''
                        )
                    ),
 
					array (
                        'name'   => 't1000',
                        'type'   => 'task',
                        'module' => 'm_jcl_commit',
                        'input'  => array (
                            'i_goto'        => '',
                            'i_jcl_approve' => '',
                            'i_jcl_config'  => '',
                            'i_jcl_commit'  => 'clean=false',
                            'i_jcl_report'  => 'general = ['.
                                               '  proc_info    = [],'.
                                               '  proc_history = []],'.
                                            /* 'specific = ['.
                                               '   JCL_NEW_REQUEST = ['.
                                               '     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"],'.
                                               '                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="Requestor-Input"]]]],'.
                                               '     forms = [[task = "t0500"]]],'.   
                                               '   JCL_NEW_APPROVE = ['.
                                               '     approved_files = [[input  = [activity = "JCL_NEW_REQUEST", task = "t0800"],'.
                                               '                        output = [activity = "JCL_NEW_APPROVE", task = "t0300"],'.
                                               '                        compare = [[activity="JCL_NEW_REQUEST", task="t0800", text="Requestor-Generator"],'.
                                               '                                   [activity="JCL_NEW_REQUEST", task="t0500", text="Planner-Input"]]]],'.
                                               '     log = [[files=[[key="COPY_JES", task="t0850"],[key="COPY_SYSPRINT",task="t0850"]]]]]]' */ 
												'specific = ['.
												'   JCL_NEW_REQUEST = ['.
												'     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"], description = "(BASE)",'.
												'                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="Requestor-Input"]]]],'.
												'     forms = [[task = "t0500"]]],'.
												'   JCL_NEW_APPROVE = ['.
												'     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0550"],'.
												'                        output = [activity = "", task = ""],'.
												'                        compare = [[activity="JCL_NEW_REQUEST", task="t0800", text="Requestor-Generator"],'.
												'                                   [activity="JCL_NEW_REQUEST", task="t0500", text="Planner-Input"]]]],'.
												'     log = [[files=[[key="COPY_JES", task="t0850"],[key="COPY_SYSPRINT",task="t0850"]]]]]]'	                        	
			   
                        )
                    ),
					
                    array (
                        'name'   => 't1200',
                        'type'   => 'task',
                        'module' => 'm_finish',
                        'input'  => array (
                            'i_goto' => 'error="t0600"'
                        )
                    )
                ), // JCL_NEW_APPROVE 
				
				'JCL_NEW_INT_CNF' => array ( 
                    array (
                        'name'   => 't0100',
                        'type'   => 'task',                        
                        'module' => 'm_jcl_start'
                    ),
					
					array (
                        'name'   => 't0150',
                        'type'   => 'task',                        
                        'module' => 'm_environment_load',
                        'output' => array (
                            'i_environment' => ''
                        )
                    ),
					
                    array (
                        'name'   => 't0200',
                        'type'   => 'task',
                        'module' => 'm_jcl_confirm',
                        'input'  => array (
						   'i_environment' => '',
						   'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "REQUESTOR"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "PLANNER"]]',
						   
                            'i_jcl_confirm'   => 'activity_request="JCL_NEW_APPROVE", task_request="t0560", '.
                                                 'activity_approve="JCL_NEW_APPROVE", task_approve="t0300"'
                        )
                    ),
                    array (
                        'name'   => 't0300',
                        'type'   => 'task',
                        'module' => 'm_finish',
                        'input'  => array (
                            'i_goto' => 'error = "t0200"'
                        )
                    )
                ), // JCL_NEW_INT_CNF		

	            'JCL_NEW_INT_UPD' => array (
	                array (
	                    'name'   => 't0100',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_start'
	                ),
	                
	                array (
	                    'name'   => 't0200',
	                    'type'   => 'task',
	                    'module' => 'm_environment_load',
	                    'output' => array (
	                        'i_environment' => ''
	                    )
	                ),
	                
	                array (
	                    'name'   => 't0300',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_approve',
	                    'input'  => array (
	                        'i_goto'                => 'error = ""',
	                        'i_environment'         => '',
	                        'i_jcl_save_parm'       => 'parm = []',
                            'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "Requestor"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "Planner"]]',
	                        'i_jcl_approve'         => 'activity_request="JCL_NEW_APPROVE", task_request="t0560", '.
	                                                   'activity_approve="JCL_NEW_INT_UPD", task_approve="t0300", '.
      	                                               'lock=true, unique=false,'.
	                                                   'must_check_jcl=false, must_check_proc=false',	                        
    	                    'i_alter_text'          => 'map = [[old="Approve", new="Deploy", translate=false]]', 
	                        'i_jcl_config'          => 'is_proc = false, is_sysin = false'
	                    ),
	                    'output' => array (
	                        'i_environment'        => '',
	                        'i_jcl_approve'        => ''
	                    )
	                ),
	                
	                array (
	                    'name'   => 't0400',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_copy',
	                    'input'  => array (
	                        'i_goto'          => 'error = "t0300"',
	                        'i_environment'   => '',
	                        'i_jcl_approve'   => '',
	                        'i_jcl_copy'      => 'hwm_parm=[], usr_parm=[]',
	                        'i_log'           => 'remove=true,'.
	                                             'accept = [COPY_JES         = "JES log (INT)", '.
	                                             '          COPY_SYSPRINT    = "SYSPRINT (INT)"]'
	                    ),
	                    'output' => array (
	                        'i_goto'        => '',
	                        'i_jcl_approve' => '',
	                        'i_log'         => '',
	                    )
	                ),
	                	                
	                array (
	                    'name'   => 't0500',
	                    'type'   => 'task',
	                    'module' => 'm_log',
	                    'input'  => array (
	                        'i_goto' => '',
	                        'i_log'  => '',
	                    ),
	                    'output' => array (
	                        'i_goto' => ''
	                    ),
	                    'pass' => array (
	                        'i_jcl_approve' => ''
	                    )
	                ),
	                	                
	                array (
	                    'name'   => 't0600',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_commit',
	                    'input'  => array (
	                        'i_goto'        => '',
	                        'i_jcl_approve' => '',
	                        'i_jcl_config'  => 'is_proc = false, is_sysin = false',
	                        'i_jcl_commit'  => 'clean=false',
	                        'i_jcl_report'  => 'general = ['.
	                        '  proc_info    = [],'.
	                        '  proc_history = []],'.
						    'specific = ['.
						    '   JCL_NEW_REQUEST = ['.
						    '     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"], description = "(BASE)",'.
						    '                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="Requestor-Input"]]]],'.
						    '     forms = [[task = "t0500"]]],'.
						    '   JCL_NEW_APPROVE = ['.
	                /*      '     forms = [[task_jckin   = "t0400", activity_jckin   ="JCL_NEW_APPROVE",'.     // needed for Genparms and passing parm from gen to gen only 
	                        '               task_usrparm = "t0800", activity_usrparm ="JCL_NEW_REQUEST"]],'.								
					/*   	'     approved_files = [[input  = [activity = "JCL_NEW_REQUEST", task = "t0800"],'.
						    '                        output = [activity = "JCL_NEW_APPROVE", task = "t0300"],'.      */ 
						    '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0550"],'.
						    '                        output = [activity = "", task = ""],'.
						    '                        compare = [[activity="JCL_NEW_REQUEST", task="t0800", text="Requestor-Generator"],'.
						    '                                   [activity="JCL_NEW_REQUEST", task="t0500", text="Planner-Input"]]]],'.
						    '     log = [[files=[[key="COPY_JES", task="t0850"],[key="COPY_SYSPRINT",task="t0850"]]]]],'. 							
 						    '   JCL_NEW_INT_UPD = ['.
						    '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0560"],'.
	                       '                         output = [activity = "JCL_NEW_INT_UPD", task = "t0300"], description="(for INT)",'.
						    '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
						  . '								    [activity="JCL_NEW_APPROVE",  task="t0570",text="Gen-UAT"],'
						  . '                                   [activity="JCL_NEW_APPROVE",  task="t0580",text="Gen-PRO"],'
						  . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
						  . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"]]]],'.
						    '     log = [[files=[[key="PROCMAN MESSAGES", task="DMY"]], description="- ProcMan"],'.                                               
						    '            [files=[[key="COPY_JES", task="t0500"],[key="COPY_SYSPRINT",task="t0500"]], description="- Copy job"]]]]'	                        	
	
	                    )
	                )
	            ), // JCL_NEW_INT_UPD	            

				'JCL_NEW_UAT_DATE' => array (
                    array (
                        'name'   => 't0100',
                        'type'   => 'task',
                        'module' => 'm_jcl_start'
                    ),

                    array (
                        'name'   => 't0200',
                        'type'   => 'task',
                        'module' => 'm_environment_load',
                        'output' => array (
                            'i_environment' => ''
                        )
                    ),
                            
                    array (
                        'name'   => 't0350',
                        'type'   => 'task',
                        'module' => 'm_savepoint',
                        'input'  => array (
                            'i_goto' => 'error=""'
                        ),
                        'pass' => array(
                            'i_environment' => '',
                        ),
                    ),
                                
                    array (
                        'name'   => 't0400',
                        'type'   => 'task',
                        'module' => 'm_hwm',
                        'input'  => array (
                            'i_hwm' =>
                                'configuration=['
                                .'script="hwm_ticket_call.php",'
                                .'config="jcl_uat_date_config.php"]',
                            'i_environment'  => '',
                        )
                    ),
			
                    array (
                        'name'   => 't0450',
                        'type'   => 'task',
                        'module' => 'm_jcl_reject_hwm',
                        'input'  => array (
                            'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "REQUESTOR"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "PLANNER"]]',
                        )
                    ),
                            
                    array (
                        'name'   => 't0500',
                        'type'   => 'task',
                        'module' => 'm_finish',
                        'input'  => array (
                            'i_goto' => 'error="t0400"'
                        )
                    )
                ), // JCL_NEW_UAT_DATE 

				'JCL_NEW_UAT_CNF' => array ( 
                    array (
                        'name'   => 't0100',
                        'type'   => 'task',                        
                        'module' => 'm_jcl_start'
                    ),
					
					array (
                        'name'   => 't0150',
                        'type'   => 'task',                        
                        'module' => 'm_environment_load',
                        'output' => array (
                            'i_environment' => ''
                        )
                    ),
					
                    array (
                        'name'   => 't0200',
                        'type'   => 'task',
                        'module' => 'm_jcl_confirm',
                        'input'  => array (
						   'i_environment' => '',
						   'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "REQUESTOR"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "PLANNER"]]',
						   
                            'i_jcl_confirm'   => 'activity_request="JCL_NEW_APPROVE", task_request="t0570", '.
                                                 'activity_approve="JCL_NEW_APPROVE", task_approve="t0300"'
                        )
                    ),
                    array (
                        'name'   => 't0300',
                        'type'   => 'task',
                        'module' => 'm_finish',
                        'input'  => array (
                            'i_goto' => 'error = "t0200"'
                        )
                    )
                ), // JCL_NEW_UAT_CNF		

				// JCL_NEW_UAT_UPD
	            'JCL_NEW_UAT_UPD' => array (
	                array (
	                    'name'   => 't0100',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_start'
	                ),
	                
	                array (
	                    'name'   => 't0200',
	                    'type'   => 'task',
	                    'module' => 'm_environment_load',
	                    'output' => array (
	                        'i_environment' => ''
	                    )
	                ),
	                
	                array (
	                    'name'   => 't0300',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_approve',
	                    'input'  => array (
	                        'i_goto'                => 'error = ""',
	                        'i_environment'         => '',
	                        'i_jcl_save_parm'       => 'parm = []',
                            'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "Requestor"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "Planner"]]',
	                        'i_jcl_approve'         => 'activity_request="JCL_NEW_APPROVE", task_request="t0570", '.
	                                                   'activity_approve="JCL_NEW_UAT_UPD", task_approve="t0300", '.
      	                                               'lock=true, unique=false,'.
	                                                   'must_check_jcl=false, must_check_proc=false',	                        
    	                    'i_alter_text'          => 'map = [[old="Approve", new="Deploy", translate=false]]', 
	                        'i_jcl_config'          => 'is_proc = false, is_sysin = false'
	                    ),
	                    'output' => array (
	                        'i_environment'        => '',
	                        'i_jcl_approve'        => ''
	                    )
	                ),
	                
	                array (
	                    'name'   => 't0400',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_copy',
	                    'input'  => array (
	                        'i_goto'          => 'error = "t0300"',
	                        'i_environment'   => '',
	                        'i_jcl_approve'   => '',
	                        'i_jcl_copy'      => 'hwm_parm=[], usr_parm=[]',
	                        'i_log'           => 'remove=true,'.
	                                             'accept = [COPY_JES         = "JES log (UAT)", '.
	                                             '          COPY_SYSPRINT    = "SYSPRINT (UAT)"]'
	                    ),
	                    'output' => array (
	                        'i_goto'        => '',
	                        'i_jcl_approve' => '',
	                        'i_log'         => '',
	                    )
	                ),
	                	                
	                array (
	                    'name'   => 't0500',
	                    'type'   => 'task',
	                    'module' => 'm_log',
	                    'input'  => array (
	                        'i_goto' => '',
	                        'i_log'  => '',
	                    ),
	                    'output' => array (
	                        'i_goto' => ''
	                    ),
	                    'pass' => array (
	                        'i_jcl_approve' => ''
	                    )
	                ),
	                	                
	                array (
	                    'name'   => 't0600',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_commit',
	                    'input'  => array (
	                        'i_goto'        => '',
	                        'i_jcl_approve' => '',
	                        'i_jcl_config'  => 'is_proc = false, is_sysin = false',
	                        'i_jcl_commit'  => 'clean=false',
	                        'i_jcl_report'  => 'general = ['.
	                        '  proc_info    = [],'.
	                        '  proc_history = []],'.
						    'specific = ['.
						    '   JCL_NEW_REQUEST = ['.
						    '     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"], description = "(BASE)",'.
						    '                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="Requestor-Input"]]]],'.
						    '     forms = [[task = "t0500"]]],'.
						    '   JCL_NEW_APPROVE = ['.
						    '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0550"],'.
						    '                        output = [activity = "", task = ""],'.
						    '                        compare = [[activity="JCL_NEW_REQUEST", task="t0800", text="Requestor-Generator"],'.
						    '                                   [activity="JCL_NEW_REQUEST", task="t0500", text="Planner-Input"]]]],'.
						    '     log = [[files=[[key="COPY_JES", task="t0850"],[key="COPY_SYSPRINT",task="t0850"]]]]],'. 							
 						    '   JCL_NEW_UAT_UPD = ['.
						    '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0570"],'.
	                       '                         output = [activity = "JCL_NEW_UAT_UPD", task = "t0300"], description="(for UAT)",'.
						    '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
						  . '								    [activity="JCL_NEW_APPROVE",  task="t0560",text="Gen-INT"],'
						  . '                                   [activity="JCL_NEW_APPROVE",  task="t0580",text="Gen-PRO"],'
						  . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
						  . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"]]]],'.
						    '     log = [[files=[[key="PROCMAN MESSAGES", task="DMY"]], description="- ProcMan"],'.                                               
						    '            [files=[[key="COPY_JES", task="t0500"],[key="COPY_SYSPRINT",task="t0500"]], description="- Copy job"]]]]'	                        	
								
	                    )
	                )
	            ), // JCL_NEW_UAT_UPD	            

				// JCL_NEW_PRO_DATE		
				'JCL_NEW_PRO_DATE' => array (
                    array (
                        'name'   => 't0100',
                        'type'   => 'task',
                        'module' => 'm_jcl_start'
                    ),

                    array (
                        'name'   => 't0200',
                        'type'   => 'task',
                        'module' => 'm_environment_load',
                        'output' => array (
                            'i_environment' => ''
                        )
                    ),
                            
                    array (
                        'name'   => 't0350',
                        'type'   => 'task',
                        'module' => 'm_savepoint',
                        'input'  => array (
                            'i_goto' => 'error=""'
                        ),
                        'pass' => array(
                            'i_environment' => '',
                        ),
                    ),
                                
                    array (
                        'name'   => 't0400',
                        'type'   => 'task',
                        'module' => 'm_hwm',
                        'input'  => array (
                            'i_hwm' =>
                                'configuration=['
                                .'script="hwm_ticket_call.php",'
                                .'config="jcl_pro_date_config.php"]',
                            'i_environment'  => '',
                        )
                    ),
			
                    array (
                        'name'   => 't0450',
                        'type'   => 'task',
                        'module' => 'm_jcl_reject_hwm',
                        'input'  => array (
                            'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "REQUESTOR"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "PLANNER"]]',
                        )
                    ),
                            
                    array (
                        'name'   => 't0500',
                        'type'   => 'task',
                        'module' => 'm_finish',
                        'input'  => array (
                            'i_goto' => 'error="t0400"'
                        )
                    )
                ), // JCL_NEW_PRO_DATE 

				// JCL_NEW_PRO_CNF
				'JCL_NEW_PRO_CNF' => array ( 
                    array (
                        'name'   => 't0100',
                        'type'   => 'task',                        
                        'module' => 'm_jcl_start'
                    ),
					
					array (
                        'name'   => 't0150',
                        'type'   => 'task',                        
                        'module' => 'm_environment_load',
                        'output' => array (
                            'i_environment' => ''
                        )
                    ),
					
                    array (
                        'name'   => 't0200',
                        'type'   => 'task',
                        'module' => 'm_jcl_confirm',
                        'input'  => array (
						   'i_environment' => '',
						   'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "REQUESTOR"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "PLANNER"]]',
						   
                            'i_jcl_confirm'   => 'activity_request="JCL_NEW_APPROVE", task_request="t0580", '.
                                                 'activity_approve="JCL_NEW_APPROVE", task_approve="t0300"'
                        )
                    ),
                    array (
                        'name'   => 't0300',
                        'type'   => 'task',
                        'module' => 'm_finish',
                        'input'  => array (
                            'i_goto' => 'error = "t0200"'
                        )
                    )
                ), // JCL_NEW_PRO_CNF		

				// JCL_NEW_PRO_UPD
	            'JCL_NEW_PRO_UPD' => array (
	                array (
	                    'name'   => 't0100',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_start'
	                ),
	                
	                array (
	                    'name'   => 't0200',
	                    'type'   => 'task',
	                    'module' => 'm_environment_load',
	                    'output' => array (
	                        'i_environment' => ''
	                    )
	                ),
	                
	                array (
	                    'name'   => 't0300',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_approve',
	                    'input'  => array (
	                        'i_goto'                => 'error = ""',
	                        'i_environment'         => '',
	                        'i_jcl_save_parm'       => 'parm = []',
                            'i_reject'              => 'target = [[activity = "JCL_NEW_REQUEST", task = "t0700", return_code="1", text = "Requestor"],'.
                                                       '          [activity = "JCL_NEW_APPROVE", task = "t0300", return_code="2", text = "Planner"]]',
	                        'i_jcl_approve'         => 'activity_request="JCL_NEW_APPROVE", task_request="t0580", '.
	                                                   'activity_approve="JCL_NEW_PRO_UPD", task_approve="t0300", '.
      	                                               'lock=true, unique=false,'.
	                                                   'must_check_jcl=false, must_check_proc=false',	                        
    	                    'i_alter_text'          => 'map = [[old="Approve", new="Deploy", translate=false]]', 
	                        'i_jcl_config'          => 'is_proc = false, is_sysin = false'
	                    ),
	                    'output' => array (
	                        'i_environment'        => '',
	                        'i_jcl_approve'        => ''
	                    )
	                ),
	                
	                array (
	                    'name'   => 't0400',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_copy',
	                    'input'  => array (
	                        'i_goto'          => 'error = "t0300"',
	                        'i_environment'   => '',
	                        'i_jcl_approve'   => '',
	                        'i_jcl_copy'      => 'hwm_parm=[], usr_parm=[]',
	                        'i_log'           => 'remove=true,'.
	                                             'accept = [COPY_JES         = "JES log (PRO)", '.
	                                             '          COPY_SYSPRINT    = "SYSPRINT (PRO)"]'
	                    ),
	                    'output' => array (
	                        'i_goto'        => '',
	                        'i_jcl_approve' => '',
	                        'i_log'         => '',
	                    )
	                ),
	                	                
	                array (
	                    'name'   => 't0500',
	                    'type'   => 'task',
	                    'module' => 'm_log',
	                    'input'  => array (
	                        'i_goto' => '',
	                        'i_log'  => '',
	                    ),
	                    'output' => array (
	                        'i_goto' => ''
	                    ),
	                    'pass' => array (
	                        'i_jcl_approve' => ''
	                    )
	                ),
	                	                
	                array (
	                    'name'   => 't0600',
	                    'type'   => 'task',
	                    'module' => 'm_jcl_commit',
	                    'input'  => array (
	                        'i_goto'        => '',
	                        'i_jcl_approve' => '',
	                        'i_jcl_config'  => 'is_proc = false, is_sysin = false',
	                        'i_jcl_commit'  => 'clean=false',
	                        'i_jcl_report'  => 'general = ['.
	                        '  proc_info    = [],'.
	                        '  proc_history = []],'.
						    'specific = ['.
						    '   JCL_NEW_REQUEST = ['.
						    '     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"], description = "(BASE)",'.
						    '                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="Requestor-Input"]]]],'.
						    '     forms = [[task = "t0500"]]],'.
						    '   JCL_NEW_APPROVE = ['.
						    '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0550"],'.
						    '                        output = [activity = "", task = ""],'.
						    '                        compare = [[activity="JCL_NEW_REQUEST", task="t0800", text="Requestor-Generator"],'.
						    '                                   [activity="JCL_NEW_REQUEST", task="t0500", text="Planner-Input"]]]],'.
						    '     log = [[files=[[key="COPY_JES", task="t0850"],[key="COPY_SYSPRINT",task="t0850"]]]]],'. 							
 						    '   JCL_NEW_PRO_UPD = ['.
						    '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0580"],'.
	                       '                         output = [activity = "JCL_NEW_UAT_UPD", task = "t0300"], description="(for PRO)",'.
						    '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
						  . '								    [activity="JCL_NEW_APPROVE",  task="t0560",text="Gen-INT"],'
						  . '                                   [activity="JCL_NEW_APPROVE",  task="t0570",text="Gen-UAT"],'
						  . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
						  . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"]]]],'.
						    '     log = [[files=[[key="PROCMAN MESSAGES", task="DMY"]], description="- ProcMan"],'.                                               
						    '            [files=[[key="COPY_JES", task="t0500"],[key="COPY_SYSPRINT",task="t0500"]], description="- Copy job"]]]]'	                        	

	                    )
	                )
	            ), // JCL_NEW_PRO_UPD	
				
				// JCL_NEW_REPORT
                'JCL_NEW_REPORT' => array (
                    array (
                        'name'   => 't0100',
                        'type'   => 'task',
                        'module' => 'm_jcl_report',
                        'input'  => array (
                            'i_jcl_config' =>  'is_proc = false, is_sysin = false',
                            'i_jcl_report' =>  'general = ['.
                                               '  proc_info    = [],'.
                                               '  proc_history = []],'.
                                               'specific = ['.
                                               '   JCL_NEW_REQUEST = ['.
                                               '     requested_files = [[input  = [task = "t0500"], output = [task = "t0800"],'.
                                               '                         compare = [[activity="JCL_NEW_REQUEST", task="t0500", text="REQUEST-Input"]]]],'.
                                               '     forms = [[task = "t0500"]]],'.
   											   '   JCL_NEW_APPROVE = ['.											   
	     									   '     approved_files = [[input  = [activity = "JCL_NEW_REQUEST", task = "t0800"],'.
                                               '                        output = [activity = "JCL_NEW_APPROVE", task = "t0300"],'.
                                               '                        description="(BAS)",'.
                                               '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0500",text="REQUEST-Input"]]],'.
											   '                       [input  = [activity = "JCL_NEW_APPROVE", task = "t0550"],'.
                                               '                        output = [activity = "",  task = ""],'.
                                               '                        description="(Generated for BAS+DEV)",'.
                                               '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0560",text="Gen-INT"],'
											 . ' 								   [activity="JCL_NEW_APPROVE",  task="t0570",text="Gen-UAT"],'
 											 . '                                   [activity="JCL_NEW_APPROVE",  task="t0580",text="Gen-PRO"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0500",text="REQUEST-Input"]]],'.
											   '                       [input  = [activity = "JCL_NEW_APPROVE", task = "t0560"],'.
                                               '                        output = [activity = "",  task = ""],'.
                                               '                        description="(Generated for INT)",'.
                                               '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
											 . ' 								   [activity="JCL_NEW_APPROVE",  task="t0570",text="Gen-UAT"],'
 											 . '                                   [activity="JCL_NEW_APPROVE",  task="t0580",text="Gen-PRO"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0500",text="REQUEST-Input"]]],'.
											   '                       [input  = [activity = "JCL_NEW_APPROVE", task = "t0570"],'.
                                               '                        output = [activity = "",  task = ""],'.
                                               '                        description="(Generated for UAT)",'.
                                               '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
											 . '								   [activity="JCL_NEW_APPROVE",  task="t0560",text="Gen-INT"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0580",text="Gen-PRO"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0500",text="REQUEST-Input"]]],'.
                 							   '                       [input  = [activity = "JCL_NEW_APPROVE", task = "t0580"],'.
                                               '                        output = [activity = "",  task = ""],'.
                                               '                        description="(Generated for PRO)",'.
                                               '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0560",text="Gen-INT"],'
											 . '								   [activity="JCL_NEW_APPROVE",  task="t0570",text="Gen-UAT"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0500",text="REQUEST-Input"]]]' 
                                             . '  ],'.
											   '     log = [[files=[[key="PROCMAN MESSAGES", task="DMY"]], description="- ProcMan"],'.                                               
                                               '            [files=[[key="COPY_JES", task="t0850"],[key="COPY_SYSPRINT",task="t0850"]], description="- Copy job BAS+DEV"]]],'.
   /*										   
											   '   JCL_NEW_INT_UPD = ['.
											   '     copied_files = [[activity = "JCL_NEW_APPROVE", task = "t0560", description = "(INT)"]],'. 
                                               '     log = [[files=[[key="PROCMAN MESSAGES", task="DMY"]], description="- ProcMan"],'.                                               
                                               '            [files=[[key="COPY_JES", task="t0400"],[key="COPY_SYSPRINT",task="t0400"]], description="- Copy job INT"]]],'.
								                                                                                                                                                        */ 
                                               '   JCL_NEW_INT_UPD = ['.
                                               '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0560"],'.
                                               '                        output = [activity = "",                        task = ""],'.
                                               '                        description="(Copied to INT)",'.
                                               '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
											 . '								   [activity="JCL_NEW_APPROVE",  task="t0570",text="Gen-UAT"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0580",text="Gen-PRO"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"]]]],'.
                                               '     log = [[files=[[key="PROCMAN MESSAGES", task="DMY"]], description="- ProcMan"],'.                                               
                                               '            [files=[[key="COPY_JES", task="t0500"],[key="COPY_SYSPRINT",task="t0500"]], description="- Copy job INT"]]],'.        										
                                               '   JCL_NEW_UAT_UPD = ['.
                                               '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0570"],'.
                                               '                        output = [activity = "",                        task = ""],'.
                                               '                        description="(Copied to UAT)",'.
                                               '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
											 . '								   [activity="JCL_NEW_APPROVE",  task="t0560",text="Gen-INT"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0580",text="Gen-PRO"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"]]]],'.
                                               '     log = [[files=[[key="PROCMAN MESSAGES", task="DMY"]], description="- ProcMan"],'.                                               
                                               '            [files=[[key="COPY_JES", task="t0500"],[key="COPY_SYSPRINT",task="t0500"]], description="- Copy job UAT"]]],'.        										
                                               '   JCL_NEW_PRO_UPD = ['.
                                               '     approved_files = [[input  = [activity = "JCL_NEW_APPROVE", task = "t0580"],'.
                                               '                        output = [activity = "",                        task = ""],'.
                                               '                        description="(Copied to PRO)",'.
                                               '                        compare = [[activity="JCL_NEW_APPROVE",  task="t0550",text="BAS"],'
											 . '								   [activity="JCL_NEW_APPROVE",  task="t0560",text="Gen-INT"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0570",text="Gen-UAT"],'
                                             . '                                   [activity="JCL_NEW_APPROVE",  task="t0300",text="PLANNER"],'
                                             . '                                   [activity="JCL_NEW_REQUEST",  task="t0800",text="REQUEST-Generator"]]]],'.
                                               '     log = [[files=[[key="PROCMAN MESSAGES", task="DMY"]], description="- ProcMan"],'.                                               
                                               '            [files=[[key="COPY_JES", task="t0500"],[key="COPY_SYSPRINT",task="t0500"]], description="- Copy job PRD"]]]]'
                        )
                    )
                )
            )
        ),  // JCL_NEW		
    )    
?>
